Package groovy.xml

# Class SerializeOptions

java.lang.Object
groovy.xml.SerializeOptions

public class SerializeOptions extends Object
Options for controlling XML serialization via `XmlUtil.serialize(org.w3c.dom.Element)`.

All options have sensible defaults matching the existing behaviour of `XmlUtil.serialize()`, so only options that need to differ from the defaults need to be specified:

     // Groovy named parameters:
     XmlUtil.serialize(node, new SerializeOptions(encoding: 'ISO-8859-1', indent: 4))

Since:
  6.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerializeOptions()`
  Creates a new options instance using the default serialization settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Charset`
  `getCharset()`
  The character encoding as a `Charset`.
  `String`
  `getEncoding()`
  The character encoding for the XML output.
  `int`
  `getIndent()`
  The number of spaces to use for indentation.
  `boolean`
  `isAllowDocTypeDeclaration()`
  Whether to allow DOCTYPE declarations during serialization.
  `boolean`
  `isAllowExternalResources()`
  Whether the underlying `TransformerFactory` may resolve external DTDs and stylesheets (e.g.
  `void`
  `setAllowDocTypeDeclaration(boolean allowDocTypeDeclaration)`
  Sets whether DOCTYPE declarations are allowed during serialization.
  `void`
  `setAllowExternalResources(boolean allowExternalResources)`
  Sets whether external DTDs and stylesheets may be resolved during serialization.
  `void`
  `setEncoding(String encoding)`
  Sets the character encoding for the XML output.
  `void`
  `setIndent(int indent)`
  Sets the number of spaces to use for indentation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SerializeOptions

    public SerializeOptions()
    Creates a new options instance using the default serialization settings.

- ## Method Details

  - ### getEncoding

    public String getEncoding()
    The character encoding for the XML output. Default is `"UTF-8"`.
    Returns:
      the encoding name

  - ### setEncoding

    public void setEncoding(String encoding)
    Sets the character encoding for the XML output.
    Parameters:
      `encoding` - the encoding name to use

  - ### getCharset

    public Charset getCharset()
    The character encoding as a `Charset`.
    Returns:
      the Charset for the configured encoding

  - ### getIndent

    public int getIndent()
    The number of spaces to use for indentation. Default is `2`.
    Returns:
      the indent amount

  - ### setIndent

    public void setIndent(int indent)
    Sets the number of spaces to use for indentation.
    Parameters:
      `indent` - the indent amount

  - ### isAllowDocTypeDeclaration

    public boolean isAllowDocTypeDeclaration()
    Whether to allow DOCTYPE declarations during serialization. Default is `false`.
    Returns:
      true if DOCTYPE declarations are allowed

  - ### setAllowDocTypeDeclaration

    public void setAllowDocTypeDeclaration(boolean allowDocTypeDeclaration)
    Sets whether DOCTYPE declarations are allowed during serialization.
    Parameters:
      `allowDocTypeDeclaration` - `true` to allow DOCTYPE declarations

  - ### isAllowExternalResources

    public boolean isAllowExternalResources()
    Whether the underlying `TransformerFactory` may resolve external DTDs and stylesheets (e.g. via `<xsl:import>` or `<xsl:include>`). Default is `false`; set to `true` when serializing XSLT documents that legitimately reference external resources.
    Returns:
      `true` if external resource resolution is allowed
    Since:
      6.0.0

  - ### setAllowExternalResources

    public void setAllowExternalResources(boolean allowExternalResources)
    Sets whether external DTDs and stylesheets may be resolved during serialization.
    Parameters:
      `allowExternalResources` - `true` to allow external resource resolution
    Since:
      6.0.0